Subject: Re: [PATCH] powerpc/prom: bump up maximum size of properties

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Feb 2012 10:22:14 +1100

On Fri, 2012-02-24 at 16:23 -0800, Nishanth Aravamudan wrote:
> On a 16TB system (using AMS/CMO), I get:
> 
> WARNING: ignoring large property [/ibm,dynamic-reconfiguration-memory] ibm,dynamic-memory length 0x000000000017ffec
> 
> and significantly less memory is thus shown to the partition. As far as
> I can tell, the constant used is arbitrary, but bump it up to 2MB, which
> covers the above property (approximately 1.5MB).
> 
> With this patch, the kernel does see all of the system memory on the
> 16TB system.

Why not go all the way to either removing the limit, or setting it to
something much bigger ? That's just asking to break again when we get an
even bigger system.

The limit was originally set because of Apple machines carrying ROM
images in the device-tree, at a time where we were much more memory
constrained than we are now.

But even then, it never represented such a large gain and in the end,
was probably not -that- useful.

I'd say bump it to something really large like 16M or remove the limit
alltogether.

Cheers,
Ben.

> Signed-off-by: Nishanth Aravamudan <[email-masked]>
> Cc: Anton Blanchard <[email-masked]>
> Cc: Paul Mackerras <[email-masked]>
> Cc: Robert Jennings <[email-masked]>
> Cc: [email-masked]
> ---
>  arch/powerpc/kernel/prom_init.c |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> diff --git a/arch/powerpc/kernel/prom_init.c b/arch/powerpc/kernel/prom_init.c
> index eca626e..0bf0ccc 100644
> --- a/arch/powerpc/kernel/prom_init.c
> +++ b/arch/powerpc/kernel/prom_init.c
> @@ -53,7 +53,7 @@
>   * ensure that we don't lose things like the interrupt-map property
>   * on a PCI-PCI bridge.
>   */
> -#define MAX_PROPERTY_LENGTH	(1UL * 1024 * 1024)
> +#define MAX_PROPERTY_LENGTH	(2UL * 1024 * 1024)
>  
>  /*
>   * Eventually bump that one up